Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 42575 - convert dowsn't work for TIFF images
convert dowsn't work for TIFF images
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-28 11:02 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-28 11:02:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-28 11:02:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
convert -depth 8 someimage.tiff
or
convert -threshold 256 someimage.tiff
returns a black tiff. I've put the ImageMagick
from RH 7.0 distribution and everything is fine
again.

How reproducible:
Always

Steps to Reproduce:
1.convert -depth 8 image.tiff
2.convert -depth 16 image.tiff
3.convert -threshold 256 image.tiff
	

Actual Results:  black tiffs appeared

Expected Results:  a tiff with something inside should appear

Additional info:
Comment 1 Bernhard Rosenkraenzer 2001-06-26 13:09:01 EDT
Bad input.

convert takes 2 filenames, source and destination.

5.3.3 and higher "fix" this problem by controlling the parameters.

Note You need to log in before you can comment on or make changes to this bug.